package jobqueue

import "go.uber.org/zap"

type Logger interface {
	Info(msg string, keysAndValues ...interface{})
	Error(msg string, keysAndValues ...interface{})
}

type ZapAdapter struct {
	logger *zap.Logger
}

func (z *ZapAdapter) Info(msg string, keysAndValues ...interface{}) {
	z.logger.Info(msg, zap.Any("info", keysAndValues))
}

func (z *ZapAdapter) Error(msg string, keysAndValues ...interface{}) {
	z.logger.Error(msg, zap.Any("error", keysAndValues))
}
