package jobqueue

import (
	"os"
	"path"
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestFileStateManager(t *testing.T) {

	tmpDir := t.TempDir()

	tempFile := path.Join(tmpDir, "state.json")
	defer os.Remove(tempFile)

	manager := &FileStateManager{
		filePath: tempFile,
		state: &State{
			Jobs: []JobSerializedState{
				{ID: "1"},
				{ID: "2"},
			},
		},
	}

	err := manager.SaveState()
	assert.NoError(t, err)

	manager2 := &FileStateManager{
		filePath: tempFile,
		state:    &State{},
	}

	err = manager2.LoadState()
	assert.NoError(t, err)

	assert.Equal(t, manager.state, manager2.state)
}
